<template>
  <a-form class="form__inline">
    <a-input
      v-model="name"
      class="form__input"
      type="text"
      placeholder="Seu nome ou apelido"
      required
    />
    <a-input
      v-model="email"
      type="email"
      placeholder="Seu melhor email"
      class="form__input form__email"
      required
    />
    <a-button type="primary" @click="subscribeToNewsletter()">
      Tenho interesse em conhecer
    </a-button>
  </a-form>
</template>

<script>
export default {
  name: 'NewsletterForm',
  props: {
    sent: {
      type: Boolean,
      required: true
    }
  },
  data() {
    return {
      name: '',
      email: ''
    }
  },
  watch: {
    sent(value) {
      if (value) {
        this.email = ''
        this.name = ''
      }
    }
  },
  methods: {
    subscribeToNewsletter() {
      if (this.email.length > 0) {
        this.$emit('send-user', { name: this.name, email: this.email })
      }
    }
  }
}
</script>

<style lang="less" scoped>
.form {
  &__inline {
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    justify-content: center;
    width: 75%;

    @media (max-width: 800px) {
      flex-direction: column;
      align-items: stretch;
      width: 95%;
    }
  }

  &__input {
    vertical-align: middle;
    margin: 5px 10px 5px 0;
    width: auto;

    @media (max-width: 800px) {
      margin: 10px 0;
      width: 100%;
    }
  }

  &__email {
    flex: 1;
    width: 100%;

    @media (max-width: 800px) {
      margin-bottom: 20px;
    }
  }
}
</style>
